> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payments

> List payments for your organization

# List Payments

Returns a paginated list of payments. Defaults to status `succeeded` — pass `status` to include other states.

**Required scope:** `payments:read`

## Query Parameters

<ParamField query="page" type="integer" default="1" />

<ParamField query="page_size" type="integer" default="50">Maximum: `200`.</ParamField>
<ParamField query="status" type="string" default="succeeded">Comma-separated. Allowed: `succeeded`, `pending`, `refunded`, `failed`, `checkout_started`, `authorized`, `authorization_expired`.</ParamField>

<ParamField query="event_id" type="string" />

<ParamField query="product_id" type="string" />

<ParamField query="form_id" type="string" />

<ParamField query="from" type="string">ISO 8601 timestamp. Returns payments created on or after this time.</ParamField>
<ParamField query="to" type="string">ISO 8601 timestamp. Returns payments created on or before this time.</ParamField>

## Response

<ResponseField name="data" type="array">
  <Expandable title="Payment object">
    <ResponseField name="id" type="string" />

    <ResponseField name="status" type="string | null" />

    <ResponseField name="currency" type="string | null">ISO 4217</ResponseField>
    <ResponseField name="gross_amount" type="number | null">In the smallest currency unit (e.g. cents)</ResponseField>

    <ResponseField name="net_amount" type="number | null" />

    <ResponseField name="service_fee" type="number | null" />

    <ResponseField name="total_discount" type="number | null" />

    <ResponseField name="quantity" type="number | null" />

    <ResponseField name="event_id" type="string | null" />

    <ResponseField name="product_id" type="string | null" />

    <ResponseField name="form_id" type="string | null" />

    <ResponseField name="contact_user_id" type="string | null">User ID of the customer</ResponseField>

    <ResponseField name="customer_email" type="string | null" />

    <ResponseField name="application_id" type="string | null">Linked form submission, if any</ResponseField>

    <ResponseField name="promo_code" type="string | null" />

    <ResponseField name="billing_reason" type="string | null">e.g. `subscription_create`, `one_time_payment`</ResponseField>
    <ResponseField name="stripe_payment_id" type="string | null">For joining with Stripe-side records</ResponseField>

    <ResponseField name="created_at" type="string | null" />

    <ResponseField name="updated_at" type="string | null" />
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -H "X-API-KEY: your_api_key" \
    "https://www.gomry.com/api/v1/payments?event_id=EVENT_ID&from=2025-01-01"
  ```
</RequestExample>
